Type to search.

Delete an agent

Base URL
https://{kibana_url}
  • DELETE /api/agent_builder/agents/{id}
  • DELETE /s/{space_id}/api/agent_builder/agents/{id}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.2 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Delete an agent by ID. This action cannot be undone. To learn more about agents, refer to the agents documentation.

Required privileges

Privileges agentBuilder:manageAgents

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

id string required

The unique identifier of the agent to delete.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Response

200

Indicates a successful response

application/json